Loading...
Searching...
No Matches
kvp.hpp File Reference

## Description

Declares bsoncxx::v_noabi::builder::basic::kvp.

Go to the source code of this file.

## Namespaces

namespace | bsoncxx
| The top-level namespace within which all bsoncxx library entities are declared.
namespace | bsoncxx::builder
| Declares entities used to build BSON documents.
namespace | bsoncxx::builder::basic
| Declares entities used with "basic" BSON builder syntax.
namespace | bsoncxx::v_noabi
| Declares entities whose ABI stability is NOT guaranteed.
namespace | bsoncxx::v_noabi::builder
| Declares entities used to build BSON documents.
namespace | bsoncxx::v_noabi::builder::basic
| Declares entities used with "basic" BSON builder syntax.

## Functions

template<typename T, typename U>
std::tuple< T &&, U && > | bsoncxx::builder::basic::kvp (T &&t, U &&u)
| Constructs a key-value pair from a string key and a BSON value.
template<typename T, typename U>
std::tuple< T &&, U && > | bsoncxx::v_noabi::builder::basic::kvp (T &&t, U &&u)
| Constructs a key-value pair from a string key and a BSON value.